import { http } from '@/utils/http';

export function queryDocumentApi(config : Object) { // 公文列表
	return http({
		url: '/cxcoagwfb/cxcOaGwfb/bpmlist',
		method: 'GET',
		data: config
	})
}

export function queryNoticeApi(config : Object) { // 公告
	return http({
		url: '/cxctz/cxcTz/list',
		method: 'GET',
		data: config
	})
}

export function querySuperiorSystemApi(config : Object) { // 上级制度
	return http({
		url: '/cxcjyglsjzdgl/cxcJyglSjzdgl/zslist',
		method: 'GET',
		data: config
	})
}

export function queryFactorySystemApi(config : Object) { // 厂级制度
	return http({
		url: '/cxczd/cxcZdgl/zsList',
		method: 'GET',
		data: config
	})
}

export function queryRegulationsApi(config : Object) { // 法律法规
	return http({
		url: '/cxcoaflgf/cxcOaFlgf/zslist',
		method: 'GET',
		data: config
	})
}

export function queryDataById(id : string) { // 通过id获取数据
	return http({
		url: '/cxczd/cxcZdgl/queryById',
		method: 'GET',
		data: { id }
	})
}